@charset "UTF-8";
@import url(./html5reset.css);
@import url(./cssreset.css);
@import url(./basic.css);
@import url(./animation.css);
@import url(./snippet.css);
/*============================================================

    BASIC

============================================================*/
/*--------------------------------
	色設定
--------------------------------*/
:root {
  /* 基本色 */
  --color-primary: #000;
  --color-link: #000;
  --color-hover: #666;
  /* ハイライト色 */
  --color-highlight: #00b9b3;
  --color-highlight-link: #00b9b3;
  --color-highlight-hover: #00fff7;
  /* リンクボタン */
  --linkbtn-color: #000;
  --linkbtn-bgcolor: #fff;
  --linkbtn-bordercolor: #000;
  --linkbtn-color-hover: #fff;
  --linkbtn-bgcolor-hover: #000;
  --linkbtn-bordercolor-hover: #000;
  /* ローダー */
  --bgcolor-loader: #fff;
  --bordercolor-loader-primary: rgba(0, 0, 0, 0.2);
  --bordercolor-loader-secondary: rgba(0, 0, 0, 0.8);
  /* ヘッダー */
  --bgcolor-header: #fff;
  --bgcolor-nav: #ccc;
  /* ハンバーガー */
  --color-navbtn: #000;
  --color-navbtn-hover: #ccc;
  /* フッター */
  --bgcolor-footer: #ccc;
  /* アイコン */
  --color-icon: #666;
  --color-icon-hover: #000;
  /* ボーダー */
  --bordercolor-primary: #ccc;
  /* テーブル */
  --bordercolor-table: #ccc;
  --bgcolor-table: #eee;
}

/* 基本 */
body {
  line-height: 1.8;
  letter-spacing: 0.06em;
  text-align: justify;
  color: var(--color-primary);
  font-family: -apple-system, BlinkMacSystemFont, "Helvetica Neue", "Segoe UI", Arial, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック", "Yu Gothic", "游ゴシック体", YuGothic, "ヒラギノ角ゴ ProN W3", "Hiragino Kaku Gothic ProN", "メイリオ", Meiryo, sans-serif;
  /* Noto Sans JP 有効 */
  /* Noto Serif JP 有効 */
}
body #loader-wrapper {
  /* ページ遷移のトランジション + ローディング */
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 99999;
  background-color: var(--bgcolor-loader);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.8s ease;
  will-change: opacity;
}
body #loader-wrapper #loader {
  position: absolute;
  top: calc(50% - 20px);
  left: calc(50% - 20px);
  border-radius: 50%;
  width: 40px;
  height: 40px;
  border-top: 2px solid var(--bordercolor-loader-primary);
  border-right: 2px solid var(--bordercolor-loader-primary);
  border-bottom: 2px solid var(--bordercolor-loader-primary);
  border-left: 2px solid var(--bordercolor-loader-secondary);
  transform: translateZ(0);
  animation: loader 1.1s infinite linear;
}
body.transition #loader-wrapper {
  opacity: 1;
}

@keyframes loader {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/*============================================================

    LINK

============================================================*/
/*--------------------------------
    リンク基本スタイル
--------------------------------*/
a:link, a:visited {
  color: var(--color-link);
  text-decoration: none;
}
@media (any-hover: hover) {
  a:hover {
    color: var(--color-hover);
    text-decoration: none;
  }
  a:hover svg {
    fill: var(--color-hover);
  }
}
a svg {
  fill: var(--color-link);
}

/*--------------------------------
    リンクボタン
--------------------------------*/
.link_btn {
  margin: 0 auto;
  font-weight: bold;
  line-height: 1;
  text-align: center;
  width: 300px;
}
@media screen and (max-width: 812px) {
  .link_btn {
    width: 80%;
    min-width: 240px;
  }
}
.link_btn a {
  width: 100%;
  min-height: 60px;
  padding: 0 30px 0 20px;
  border-radius: 999px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
@media screen and (max-width: 812px) {
  .link_btn a {
    min-height: 40px;
  }
}
.link_btn a:link, .link_btn a:visited {
  color: var(--linkbtn-color);
  background-color: var(--linkbtn-bgcolor);
  border: 2px solid var(--linkbtn-bordercolor);
}
.link_btn a svg {
  width: 16px;
  height: 16px;
  fill: var(--linkbtn-color);
  transition: 0.4s;
  will-change: transform;
  flex: 0 0 auto;
  max-width: 100%;
  position: absolute;
  right: 15px;
}
@media (any-hover: hover) {
  .link_btn a:hover {
    color: var(--linkbtn-color-hover);
    background-color: var(--linkbtn-bgcolor-hover);
    border: 2px solid var(--linkbtn-bordercolor-hover);
  }
  .link_btn a:hover svg {
    fill: var(--linkbtn-color-hover);
    transform: translate3d(5px, 0, 0);
  }
}

/*--------------------------------
    SNSアイコン
--------------------------------*/
a .icon_sns_insta,
a .icon_sns_fb,
a .icon_sns_tw,
a .icon_sns_note {
  fill: var(--color-icon);
}
@media (any-hover: hover) {
  a:hover .icon_sns_insta,
  a:hover .icon_sns_fb,
  a:hover .icon_sns_tw,
  a:hover .icon_sns_note {
    fill: var(--color-icon-hover);
  }
}

/*============================================================

    LAYOUT

============================================================*/
/*--------------------------------
    MAIN
--------------------------------*/
main {
  margin: 0 auto;
  /* ヘッダーの高さ依存 */
  padding-top: 80px;
}
@media screen and (max-width: 812px) {
  main {
    padding-top: 60px;
  }
}
main section {
  margin: 0 auto;
  padding: 12rem 0;
}
@media screen and (max-width: 812px) {
  main section {
    padding: 6rem 0;
  }
}
main section#second_title {
  padding-bottom: 0;
}
main section.gap-no {
  padding-top: 0;
}
main section.gap-s {
  padding-top: 6rem;
}
@media screen and (max-width: 812px) {
  main section.gap-s {
    padding-top: 3rem;
  }
}
main section.gap-m {
  padding-top: 8rem;
}
@media screen and (max-width: 812px) {
  main section.gap-m {
    padding-top: 4rem;
  }
}
main section.gap-l {
  padding-top: 10rem;
}
@media screen and (max-width: 812px) {
  main section.gap-l {
    padding-top: 5rem;
  }
}
main section.gap-xl {
  padding-top: 15rem;
}
@media screen and (max-width: 812px) {
  main section.gap-xl {
    padding-top: 7rem;
  }
}

/*--------------------------------
    汎用コンテナ
--------------------------------*/
.container {
  max-width: 1280px;
  min-width: 990px;
  margin: 0 auto;
  padding-left: 3%;
  padding-right: 3%;
}
@media only screen and (min-width: 1280px) {
  .container {
    padding-left: 38px;
    padding-right: 38px;
  }
}
@media only screen and (max-width: 990px) {
  .container {
    padding-left: 30px;
    padding-right: 30px;
  }
}
@media screen and (max-width: 812px) {
  .container {
    max-width: none;
    min-width: 0;
    padding-left: 5%;
    padding-right: 5%;
  }
}
.container.--wide {
  max-width: none;
  min-width: 0;
  padding-left: 0;
  padding-right: 0;
}

/*--------------------------------
    汎用インナー
--------------------------------*/
.inner {
  margin: 0 auto;
  padding-left: 3%;
  padding-right: 3%;
}
@media screen and (max-width: 812px) {
  .inner {
    padding-left: 5%;
    padding-right: 5%;
  }
}

/*--------------------------------
    汎用ボックス
--------------------------------*/
.box {
  margin: 0 auto;
}
.box + .box {
  margin-top: 10rem;
}

/*--------------------------------
    P
--------------------------------*/
p {
  margin-bottom: 1.5em;
}

/*============================================================

    HEADER

============================================================*/
/*--------------------------------
    基本設定
--------------------------------*/
header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9990;
  display: block;
  width: 100%;
  height: 80px;
  background-color: var(--bgcolor-header);
  transition: 0.3s;
  transform: translate(0, 0);
}
@media screen and (max-width: 812px) {
  header {
    height: 60px;
  }
}
header.hide {
  transform: translate(0, -100%);
}
header .container {
  max-width: none;
  height: 100%;
  padding-top: 0;
  padding-bottom: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
header .container #header_logo {
  width: 200px;
  margin: 0 20px 0 0;
  flex: 0 0 auto;
  position: relative;
  z-index: 10001;
}
@media screen and (max-width: 812px) {
  header .container #header_logo {
    width: 150px;
  }
}
header .container #header_logo img {
  width: 100%;
  height: auto;
}
header .container #header_nav {
  flex: 0 0 auto;
}
header .container #header_nav nav {
  display: flex;
  justify-content: center;
  align-items: center;
}
@media screen and (max-width: 812px) {
  header .container #header_nav nav {
    flex-direction: column;
  }
}
header .container #header_nav nav .nav_main {
  display: flex;
  justify-content: center;
  align-items: center;
}
@media screen and (max-width: 812px) {
  header .container #header_nav nav .nav_main {
    flex-direction: column;
  }
}
header .container #header_nav nav .nav_main li {
  display: flex;
  font-size: 1.6rem;
  font-size: clamp(15px, 1.6rem, 16px);
}
@media screen and (max-width: 812px) {
  header .container #header_nav nav .nav_main li {
    font-size: 1.8rem;
    font-size: clamp(15px, 1.8rem, 18px);
  }
}
header .container #header_nav nav .nav_main li + li {
  margin: 0 0 0 2.5em;
}
@media screen and (max-width: 812px) {
  header .container #header_nav nav .nav_main li + li {
    margin: 1em 0 0 0;
  }
}
header .container #header_nav nav .nav_main li a:not([herf="/"]).active {
  font-weight: bold;
}
header .container #header_nav nav .nav_sns {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0 0 3.5em;
}
header .container #header_nav nav .nav_sns li + li {
  margin: 0 0 0 1em;
}
header .container #header_nav nav .nav_sns li a {
  display: flex;
  align-items: center;
}
header .container #header_nav nav .nav_sns li a svg {
  width: 24px;
  height: 24px;
}
header .container #header_nav nav .nav_sns li a svg.icon_sns_tw {
  width: 21px;
  height: 21px;
}
header .container #header_nav nav .nav_sns li a svg.icon_sns_insta {
  width: 23px;
  height: 23px;
}
@media screen and (max-width: 812px) {
  header .container #header_nav nav .nav_sns {
    margin: 4em 0 0 0;
  }
  header .container #header_nav nav .nav_sns li + li {
    margin: 0 0 0 1.5em;
  }
  header .container #header_nav nav .nav_sns li a svg {
    width: 28px;
    height: 28px;
  }
  header .container #header_nav nav .nav_sns li a svg.icon_sns_tw {
    width: 24px;
    height: 24px;
  }
  header .container #header_nav nav .nav_sns li a svg.icon_sns_insta {
    width: 26px;
    height: 26px;
  }
}

@media screen and (max-width: 812px) {
  /* ナビ モーダル型 */
  nav.modal_navi {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transform: scale(0.95);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
    background-color: var(--bgcolor-nav);
    width: 100%;
    height: 100vh;
    height: 100dvh;
    transition: 0.6s;
    overflow-y: scroll;
    /* GPU acceleration */
    backface-visibility: hidden;
    will-change: opacity, transform;
  }
  body.nav-show nav.modal_navi {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: scale(1);
  }
  /* ナビ 縦スライド型 */
  nav.slideDown_navi {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
    background-color: var(--bgcolor-nav);
    width: 100%;
    height: auto;
    padding: 100px 0;
    transform: translate3d(0, -100%, 0);
    transition: 0.3s;
    /* GPU acceleration */
    backface-visibility: hidden;
    will-change: opacity, transform;
  }
  body.nav-show nav.slideDown_navi {
    transform: translate3d(0, 0, 0);
  }
  /* ナビ 横スライド型 */
  nav.slideIn_navi {
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10000;
    background-color: var(--bgcolor-nav);
    width: 80vw;
    min-width: 100px;
    height: 100vh;
    padding: 100px 10vw;
    transform: translate3d(100%, 0, 0);
    transition: 0.3s;
    /* GPU acceleration */
    backface-visibility: hidden;
    will-change: opacity, transform;
  }
  nav.slideIn_navi .nav_main {
    width: 100%;
  }
  nav.slideIn_navi .nav_main li {
    width: 100%;
    text-align: left;
  }
  nav.slideIn_navi .nav_sns {
    width: 100%;
    justify-content: flex-start !important;
  }
  body.nav-show nav.slideIn_navi {
    transform: translate3d(0, 0, 0);
  }
  /* ナビ出現時に背景でスクロールを止める処理 */
  body.nav-show {
    overflow: hidden;
    height: 100%;
  }
}
/*--------------------------------
   ハンバーガーメニュー
--------------------------------*/
#nav_btnwrapper {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  background-color: transparent;
  z-index: 10001;
}
@media screen and (max-width: 812px) {
  #nav_btnwrapper {
    display: block;
  }
}
#nav_btnwrapper #nav_btn {
  display: block;
  position: relative;
  width: 80px;
  height: 60px;
  cursor: pointer;
}
#nav_btnwrapper #nav_btn #nav_btn_icon {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  height: 2px;
  transform: translate(-50%, -50%);
  background-color: var(--color-navbtn);
  transition: 0.3s;
}
#nav_btnwrapper #nav_btn #nav_btn_icon::before, #nav_btnwrapper #nav_btn #nav_btn_icon::after {
  display: block;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-navbtn);
  transition: 0.3s;
}
#nav_btnwrapper #nav_btn #nav_btn_icon::before {
  transform: translate(0, -400%);
}
#nav_btnwrapper #nav_btn #nav_btn_icon::after {
  transform: translate(0, 400%);
}
@media (any-hover: hover) {
  #nav_btnwrapper #nav_btn:hover #nav_btn_icon {
    background-color: var(--color-navbtn-hover);
  }
  #nav_btnwrapper #nav_btn:hover #nav_btn_icon::before, #nav_btnwrapper #nav_btn:hover #nav_btn_icon::after {
    background-color: var(--color-navbtn-hover);
  }
}

/* ハンバーガーメニューをクリックした時の処理 */
body.nav-show #nav_btnwrapper #nav_btn #nav_btn_icon {
  background: transparent;
}
body.nav-show #nav_btnwrapper #nav_btn #nav_btn_icon::before {
  transform: rotate(-45deg);
}
body.nav-show #nav_btnwrapper #nav_btn #nav_btn_icon::after {
  transform: rotate(45deg);
}

/*============================================================

    FOOTER

============================================================*/
/*--------------------------------
   基本設定
--------------------------------*/
footer {
  position: relative;
  background-color: var(--bgcolor-footer);
  margin-top: 12rem;
}
@media screen and (max-width: 812px) {
  footer {
    margin-top: 6rem;
  }
}
footer .container {
  padding-top: 5rem;
  padding-bottom: 3rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
}
@media screen and (max-width: 812px) {
  footer .container {
    display: block;
    padding-top: 3rem;
    padding-bottom: 2rem;
  }
}
footer .container .footer_sns {
  width: 100%;
  margin: 0 auto 6rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media screen and (max-width: 812px) {
  footer .container .footer_sns {
    margin: 0 auto 3rem;
  }
}
footer .container .footer_sns li {
  margin: 0 15px;
}
@media screen and (max-width: 812px) {
  footer .container .footer_sns li {
    margin: 0 10px;
  }
}
footer .container .footer_sns li svg {
  width: 30px;
  height: 30px;
  fill: var(--color-icon);
}
@media screen and (max-width: 812px) {
  footer .container .footer_sns li svg {
    width: 24px;
    height: 24px;
  }
}
footer .container .footer_sns li svg.icon_sns_tw {
  width: 26px;
  height: 26px;
}
@media screen and (max-width: 812px) {
  footer .container .footer_sns li svg.icon_sns_tw {
    width: 21px;
    height: 21px;
  }
}
footer .container .footer_sns li svg.icon_sns_insta {
  width: 28px;
  height: 28px;
}
@media screen and (max-width: 812px) {
  footer .container .footer_sns li svg.icon_sns_insta {
    width: 23px;
    height: 23px;
  }
}
@media (any-hover: hover) {
  footer .container .footer_sns li svg:hover {
    fill: var(--color-icon-hover);
  }
}
footer .container .footer_link {
  width: auto;
  flex: 0 0 auto;
  font-size: 1.3rem;
  display: flex;
  align-items: center;
}
@media screen and (max-width: 812px) {
  footer .container .footer_link {
    justify-content: center;
    margin: 0 auto 2rem;
  }
}
footer .container .footer_link li + li {
  margin-left: 2.5em;
}
footer .container .footer_copyright {
  flex: 0 0 auto;
  font-size: 1.1rem;
}

/*--------------------------------
   ページトップボタン
--------------------------------*/
.pagetop {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  position: fixed;
  z-index: 5000;
  zoom: 1;
  width: 100%;
  height: 50px;
  bottom: 20px;
  transition: 0.2s;
}
@media screen and (max-width: 812px) {
  .pagetop {
    display: none;
  }
}
.pagetop.exist {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
.pagetop.stop {
  position: absolute;
  bottom: auto;
  /* bottomの値 + 高さ*/
  top: -70px;
}
.pagetop a {
  display: block;
  width: 100px;
  height: 100%;
  text-align: center;
  color: var(--color-link);
  font-size: 1.2rem;
  margin: 0 auto;
}
.pagetop a::after {
  content: "PAGETOP";
}
.pagetop a svg {
  display: block;
  width: 30px;
  height: 30px;
  fill: var(--color-link);
  margin: 0 auto;
}

@media (any-hover: hover) {
  .pagetop a:hover svg {
    transform: translate3d(0, -5px, 0);
  }
}
/*============================================================

    HEADING

============================================================*/
/*--------------------------------
    タイトル
--------------------------------*/
.heading_title {
  margin: 0 auto;
  font-size: 2.8rem;
  font-size: clamp(24px, 2.8rem, 32px);
  font-weight: bold;
  text-align: center;
}
@media screen and (max-width: 812px) {
  .heading_title {
    font-size: 2rem;
    font-size: clamp(16px, 2rem, 24px);
  }
}
.heading_title h1 {
  display: inline;
}
.heading_title em {
  display: block;
  font-size: 60%;
}

.heading_sub {
  margin: 0 auto 3em;
  font-size: 2rem;
  font-size: clamp(16px, 2rem, 24px);
  font-weight: bold;
  text-align: left;
}
@media screen and (max-width: 812px) {
  .heading_sub {
    font-size: 1.8rem;
  }
}

/*--------------------------------
    見出し
--------------------------------*/
.heading_1 {
  display: block;
  margin: 3rem auto 1.5em;
  font-size: 2.4rem;
  font-size: clamp(20px, 2.4rem, 28px);
  font-weight: bold;
  text-align: center;
}
@media screen and (max-width: 812px) {
  .heading_1 {
    font-size: 1.8rem;
  }
}
.heading_1 em {
  display: block;
  font-size: 60%;
}

.heading_2 {
  display: block;
  margin: 3rem auto 1.5em;
  font-size: 2rem;
  font-size: clamp(16px, 2rem, 24px);
  font-weight: bold;
  text-align: left;
}
@media screen and (max-width: 812px) {
  .heading_2 {
    font-size: 1.6rem;
  }
}

.heading_3 {
  display: block;
  margin: 3rem auto 1.5em;
  font-size: 1.8rem;
  font-size: clamp(14px, 1.8rem, 22px);
  font-weight: bold;
  text-align: left;
}
@media screen and (max-width: 812px) {
  .heading_3 {
    font-size: 1.5rem;
  }
}

.heading_4 {
  display: block;
  margin: 3rem auto 1.5em;
  font-size: 1.6rem;
  font-size: clamp(13px, 1.6rem, 20px);
  font-weight: bold;
  text-align: left;
}
@media screen and (max-width: 812px) {
  .heading_4 {
    font-size: 1.5rem;
  }
}

/*============================================================

    POSTS LIST

============================================================*/
/*--------------------------------
    記事一覧・アーカイブページ
--------------------------------*/
.post_list {
  width: 100%;
  margin: 0 auto;
}
.post_list li .postImg {
  overflow: hidden;
  position: relative;
  z-index: 1;
  /* border-radius: 10px; */
}
.post_list li .postImg a img {
  /* border-radius: 10px; */
}
@media (any-hover: hover) {
  .post_list li .postImg a:hover img {
    transform: scale(1.05);
  }
}
.post_list li .postInfo {
  margin: 0 0 0.5em;
  line-height: 1.4;
}
.post_list li .postInfo span {
  display: inline-block;
  vertical-align: top;
  font-size: 1.3rem;
  letter-spacing: 0.15em;
  margin: 0 1.5em 0 0;
}
@media screen and (max-width: 812px) {
  .post_list li .postInfo span {
    font-size: 1.2rem;
    margin: 0 2em 0 0;
  }
}
.post_list li .postInfo em {
  display: inline-block;
  vertical-align: top;
  font-size: 1.3rem;
  font-weight: normal;
  margin: 0 1em 0 0;
}
.post_list li .postInfo em:last-of-type {
  margin: 0 0 0 0;
}
.post_list li .postInfo em a:link, .post_list li .postInfo em a:visited {
  color: #888;
}
@media (any-hover: hover) {
  .post_list li .postInfo em a:hover {
    color: #666;
  }
}
.post_list li .postTitle {
  font-size: 1.8rem;
  line-height: 1.6;
  font-weight: normal;
  text-align: left;
  margin: 0;
}
@media screen and (max-width: 812px) {
  .post_list li .postTitle {
    font-size: 1.5rem;
  }
}
.post_list li .postExcerpt {
  font-size: 1.4rem;
  margin: 1em 0 0;
}
.post_list li .postTag {
  margin: 10px auto 0;
  font-size: 1.4rem;
}
@media screen and (max-width: 812px) {
  .post_list li .postTag {
    margin: 0.5em auto 0;
    font-size: 1.2rem;
  }
}
.post_list li .postTag em {
  display: inline-block;
  margin: 0 0.8em 0 0;
}
.post_list li .postTag em a::before {
  content: "#";
  display: inline-block;
}
.post_list li .postTag em a:link, .post_list li .postTag em a:visited {
  color: #888;
}
@media (any-hover: hover) {
  .post_list li .postTag em a:hover {
    color: #666;
  }
}

/* リスト型 */
.post_list[data-list-type=text] li {
  margin: 0;
  padding: 2em;
  border-bottom: 1px solid var(--bordercolor-primary);
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=text] li {
    padding: 1em 0;
  }
}
.post_list[data-list-type=text] li:first-child {
  border-top: 1px solid var(--bordercolor-primary);
}

/* カード型 */
.post_list[data-list-type=card] {
  display: flex;
  flex-wrap: wrap;
  gap: 4vw 5%;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=card] {
    gap: 12vw 5%;
  }
}
.post_list[data-list-type=card] li {
  width: 30%;
  flex: 0 0 30%;
  overflow: hidden;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=card] li {
    width: 47.5%;
    flex: 0 0 47.5%;
  }
}
.post_list[data-list-type=card] li .postImg {
  margin: 0 auto 1em;
  aspect-ratio: 3/2;
}
.post_list[data-list-type=card] li .postImg img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

/* サムネイル型 */
.post_list[data-list-type=thumbnail] {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 5vw 5%;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=thumbnail] {
    flex-direction: column;
    gap: 10vw 0%;
  }
}
.post_list[data-list-type=thumbnail] li {
  width: 47.5%;
  flex: 0 0 47.5%;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=thumbnail] li {
    width: 100%;
    flex: 0 0 100%;
    align-items: flex-start;
  }
}
.post_list[data-list-type=thumbnail] li .postImg {
  width: 30%;
}
.post_list[data-list-type=thumbnail] li .postText {
  width: 64%;
  margin: 0 0 0 auto;
  text-align: left;
}

/* ワークス型 */
.post_list[data-list-type=works] {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 4vw 5%;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=works] {
    gap: 5vw 5%;
  }
}
.post_list[data-list-type=works].--large {
  gap: 5vw 5%;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=works].--large {
    flex-direction: column;
    gap: 10vw 0%;
  }
}
.post_list[data-list-type=works].--large li {
  width: 47.5%;
  flex: 0 0 47.5%;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=works].--large li {
    width: 100%;
    flex: 0 0 100%;
  }
}
.post_list[data-list-type=works] li {
  width: 30%;
  flex: 0 0 30%;
  overflow: hidden;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=works] li {
    width: 47.5%;
    flex: 0 0 47.5%;
  }
}
.post_list[data-list-type=works] li .postImg {
  margin: 0 auto 1em;
  aspect-ratio: 3/2;
}
@media screen and (max-width: 812px) {
  .post_list[data-list-type=works] li .postImg {
    margin: 0 auto 1.2em;
  }
}
.post_list[data-list-type=works] li .postImg img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.post_list[data-list-type=works] li .postTitle {
  text-align: center;
}
.post_list[data-list-type=works] li .postInfo {
  text-align: center;
  margin: 0.5em 0 0;
}

/*============================================================

    POSTS UI

============================================================*/
/*--------------------------------
    前後記事リンク
--------------------------------*/
.pagelink {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.4rem;
  font-weight: 700;
}
@media screen and (max-width: 812px) {
  .pagelink {
    font-size: 1.2rem;
  }
}
.pagelink .pageprev a {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
@media screen and (max-width: 812px) {
  .pagelink .pageprev a {
    display: block;
  }
}
.pagelink .pageprev a img {
  width: 100px;
  height: auto;
  margin-right: 40px;
}
@media screen and (max-width: 812px) {
  .pagelink .pageprev a img {
    display: none;
  }
}
.pagelink .pageprev a span {
  display: flex;
  justify-content: center;
  align-items: center;
}
.pagelink .pageprev a span svg {
  width: 24px;
  height: 24px;
  margin: 0 10px 0 0;
  transition: 0.3s;
}
@media screen and (max-width: 812px) {
  .pagelink .pageprev a span svg {
    width: 18px;
    height: 18px;
  }
}
@media (any-hover: hover) {
  .pagelink .pageprev a:hover svg {
    transform: translate(-2px, 0);
  }
}
.pagelink .pageprev.disabled {
  opacity: 0;
  pointer-events: none;
}
.pagelink .pagenext a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row-reverse;
}
@media screen and (max-width: 812px) {
  .pagelink .pagenext a {
    display: block;
  }
}
.pagelink .pagenext a img {
  width: 100px;
  height: auto;
  margin-left: 40px;
}
@media screen and (max-width: 812px) {
  .pagelink .pagenext a img {
    display: none;
  }
}
.pagelink .pagenext a span {
  display: flex;
  justify-content: center;
  align-items: center;
}
.pagelink .pagenext a span svg {
  width: 24px;
  height: 24px;
  margin: 0 0 0 10px;
  transition: 0.3s;
}
@media screen and (max-width: 812px) {
  .pagelink .pagenext a span svg {
    width: 18px;
    height: 18px;
  }
}
@media (any-hover: hover) {
  .pagelink .pagenext a:hover svg {
    transform: translate(2px, 0);
  }
}
.pagelink .pagenext.disabled {
  opacity: 0;
  pointer-events: none;
}
.pagelink .pageindex a {
  display: flex;
  justify-content: center;
  align-items: center;
}
.pagelink .pageindex a svg {
  width: 15px;
  height: 15px;
  fill: #000;
  transition: 0.3s;
}
@media (any-hover: hover) {
  .pagelink .pageindex a:hover svg {
    fill: var(--color-highlight);
  }
}
.pagelink .pageindex a span {
  margin-left: 12px;
}

@media screen and (max-width: 812px) {
  body.single .pagelink .pageindex span {
    display: none;
  }
}

body.archive .pagelink {
  justify-content: center;
}

/*--------------------------------
    ページネーション
--------------------------------*/
.pagination {
  text-align: center;
}
.pagination ul {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  padding: 0;
}
.pagination ul li {
  display: flex;
  margin: 0 20px;
  font-size: 1.3rem;
  font-weight: 400;
  width: 20px;
  height: 50px;
  line-height: 50px;
}
@media screen and (max-width: 812px) {
  .pagination ul li {
    margin: 0 8px;
    font-size: 1.2rem;
    width: 15px;
    height: 40px;
    line-height: 40px;
  }
}
.pagination ul li:first-child {
  width: auto;
  margin-right: 5rem;
}
@media screen and (max-width: 812px) {
  .pagination ul li:first-child {
    margin-right: 10px;
  }
}
.pagination ul li:last-child {
  width: auto;
  margin-left: 5rem;
}
@media screen and (max-width: 812px) {
  .pagination ul li:last-child {
    margin-left: 10px;
  }
}
.pagination ul li a {
  display: block;
  width: 100%;
  height: 100%;
}
.pagination ul li a.prev span {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
}
.pagination ul li a.prev span svg {
  width: 24px;
  height: 24px;
  margin: 0 10px 0 40px;
  transition: 0.3s;
}
@media screen and (max-width: 812px) {
  .pagination ul li a.prev span svg {
    width: 18px;
    height: 18px;
    margin: 0 10px 0 0;
  }
}
.pagination ul li a.prev i {
  font-style: normal;
}
@media screen and (max-width: 812px) {
  .pagination ul li a.prev i {
    display: none;
  }
}
@media (any-hover: hover) {
  .pagination ul li a.prev:hover svg {
    transform: translate(-2px, 0);
  }
}
.pagination ul li a.prev.disabled {
  opacity: 0;
  pointer-events: none;
}
.pagination ul li a.next span {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
}
.pagination ul li a.next span svg {
  width: 24px;
  height: 24px;
  margin: 0 40px 0 10px;
  transition: 0.3s;
}
@media screen and (max-width: 812px) {
  .pagination ul li a.next span svg {
    width: 18px;
    height: 18px;
    margin: 0 0 0 10px;
  }
}
.pagination ul li a.next i {
  font-style: normal;
}
@media screen and (max-width: 812px) {
  .pagination ul li a.next i {
    display: none;
  }
}
@media (any-hover: hover) {
  .pagination ul li a.next:hover svg {
    transform: translate(2px, 0);
  }
}
.pagination ul li a.next.disabled {
  opacity: 0;
  pointer-events: none;
}
.pagination ul li span.current {
  display: block;
  width: 100%;
  height: 100%;
  font-weight: bold;
  color: var(--color-highlight);
  border-bottom: 2px solid var(--color-highlight);
}